var index =
[
    [ "Getting started with SimGrid", "getting_started.html", [
      [ "Introduction, Installation, and how to get help", "getting_started.html#gs_introduction", null ],
      [ "Documentation for new users", "getting_started.html#gs_new_users", null ],
      [ "Documentation for experienced users", "getting_started.html#gs_experienced_users", null ],
      [ "Examples shipped with SimGrid", "getting_started.html#gs_examples", null ]
    ] ],
    [ "SimGrid First Tutorial", "tutorial.html", [
      [ "Scenario", "tutorial.html#Scenario", null ],
      [ "Prerequisites", "tutorial.html#Prerequisites", null ],
      [ "Recommended Steps", "tutorial.html#intro_recommendation", null ],
      [ "Let's get started", "tutorial.html#intro_start", null ],
      [ "TODO: Points to improve for the next time", "tutorial.html#intro_todo", null ]
    ] ],
    [ "Model the underlying platform", "platform.html", [
      [ "Some words about XML and DTD", "platform.html#pf_overview", null ],
      [ "Basic concepts", "platform.html#pf_basics", null ],
      [ "Resource description", "platform.html#pf_pftags", [
        [ "Platform: The <AS> tag", "platform.html#pf_As", null ],
        [ "Computing resources: hosts, clusters and peers.", "platform.html#pf_Cr", [
          [ "<host/>", "platform.html#pf_host", null ],
          [ "<cluster>", "platform.html#pf_cluster", null ],
          [ "<cabinet>", "platform.html#pf_cabinet", null ],
          [ "The <peer> tag", "platform.html#pf_peer", null ]
        ] ],
        [ "Network equipments: links and routers", "platform.html#pf_ne", [
          [ "<router/>", "platform.html#pf_router", null ],
          [ "<link/>", "platform.html#pf_link", null ],
          [ "<backbone/>", "platform.html#pf_backbone", null ]
        ] ],
        [ "Storage", "platform.html#pf_storage", [
          [ "Storage - Main Concepts", "platform.html#pf_sto_conc", null ],
          [ "The Storage Entities", "platform.html#pf_storage_entities", null ],
          [ "Example files", "platform.html#pf_storage_example_files", null ],
          [ "Modelling different situations", "platform.html#pf_storage_examples_modelling", null ]
        ] ]
      ] ],
      [ "Routing", "platform.html#pf_routing", [
        [ "Routing models", "platform.html#pf_rm", [
          [ "The router affair", "platform.html#pf_raf", null ],
          [ "Shortest-path based models", "platform.html#pf_routing_model_shortest_path", null ],
          [ "Manually-entered route models", "platform.html#pf_routing_model_manual", null ],
          [ "Simple/fast models", "platform.html#pf_routing_model_simple", null ]
        ] ],
        [ "Defining routes", "platform.html#ps_dec", [
          [ "<link_ctn/>", "platform.html#pf_linkctn", null ],
          [ "ASroute", "platform.html#pf_routing_tag_asroute", null ],
          [ "route", "platform.html#pf_routing_tag_route", null ],
          [ "bypassASroute", "platform.html#pf_routing_tag_bypassasroute", null ],
          [ "bypassRoute", "platform.html#pf_routing_tag_bypassroute", null ]
        ] ],
        [ "Basic Routing Example", "platform.html#pb_baroex", null ]
      ] ],
      [ "Tags not (directly) describing the platform", "platform.html#pf_other_tags", [
        [ "config", "platform.html#pf_config", null ],
        [ "include", "platform.html#pf_include", null ],
        [ "trace and trace_connect", "platform.html#pf_trace", null ]
      ] ],
      [ "Hints and tips, or how to write a platform efficiently", "platform.html#pf_hints", [
        [ "AS Hierarchy", "platform.html#pf_as_h", null ],
        [ "Exit AS: why and how", "platform.html#pf_exit_as", null ],
        [ "P2P or how to use coordinates", "platform.html#pf_P2P_tags", null ],
        [ "Choosing wisely the routing model to use", "platform.html#pf_routing_howto_choose_wisely", null ],
        [ "How to describe a switch given that is no switch tag?", "platform.html#pf_switch", null ],
        [ "How to model multi-cabinets clusters?", "platform.html#pf_multicabinets", null ],
        [ "How to express multipath routing in platform files?", "platform.html#pf_platform_multipath", null ]
      ] ]
    ] ],
    [ "Configure SimGrid", "options.html", [
      [ "Passing configuration options to the simulators", "options.html#options_using", null ],
      [ "Configuring the platform models", "options.html#options_model", [
        [ "Selecting the platform models", "options.html#options_model_select", null ],
        [ "Plugins", "options.html#options_generic_plugin", null ],
        [ "Optimization level of the platform models", "options.html#options_model_optim", null ],
        [ "Numerical precision of the platform models", "options.html#options_model_precision", null ],
        [ "Parallel threads for model updates", "options.html#options_model_nthreads", null ],
        [ "Configuring the Network model", "options.html#options_model_network", [
          [ "Maximal TCP window size", "options.html#options_model_network_gamma", null ],
          [ "Correcting important network parameters", "options.html#options_model_network_coefs", null ],
          [ "Simulating cross-traffic", "options.html#options_model_network_crosstraffic", null ],
          [ "Coordinated-based network models", "options.html#options_model_network_coord", null ],
          [ "Simulating sender gap", "options.html#options_model_network_sendergap", null ],
          [ "Simulating asyncronous send", "options.html#options_model_network_asyncsend", null ],
          [ "Configuring packet-level pseudo-models", "options.html#options_pls", null ]
        ] ]
      ] ],
      [ "Configuring the Model-Checking", "options.html#options_modelchecking", [
        [ "Specifying a liveness property", "options.html#options_modelchecking_liveness", null ],
        [ "Going for stateful verification", "options.html#options_modelchecking_steps", null ],
        [ "Specifying the kind of reduction", "options.html#options_modelchecking_reduction", null ],
        [ "model-check/visited, Cycle detection", "options.html#options_modelchecking_visited", null ],
        [ "model-check/termination, Non termination detection", "options.html#options_modelchecking_termination", null ],
        [ "model-check/dot-output, Dot output", "options.html#options_modelchecking_dot_output", null ],
        [ "model-check/max_depth, Depth limit", "options.html#options_modelchecking_max_depth", null ],
        [ "Handling of timeout", "options.html#options_modelchecking_timeout", null ],
        [ "Communication determinism", "options.html#options_modelchecking_comm_determinism", null ],
        [ "Per page checkpoints", "options.html#options_modelchecking_sparse_checkpoint", null ],
        [ "Performance considerations for the model checker", "options.html#options_mc_perf", null ],
        [ "Hashing of the state (experimental)", "options.html#options_modelchecking_hash", null ],
        [ "Record/replay (experimental)", "options.html#options_modelchecking_recordreplay", null ]
      ] ],
      [ "Configuring the User Process Virtualization", "options.html#options_virt", [
        [ "Selecting the virtualization factory", "options.html#options_virt_factory", null ],
        [ "Adapting the used stack size", "options.html#options_virt_stacksize", null ],
        [ "Running user code in parallel", "options.html#options_virt_parallel", null ]
      ] ],
      [ "Configuring the tracing subsystem", "options.html#options_tracing", null ],
      [ "Configuring MSG", "options.html#options_msg", [
        [ "Debugging MSG", "options.html#options_msg_debug_multiple_use", null ]
      ] ],
      [ "Configuring SMPI", "options.html#options_smpi", [
        [ "smpi/bench: Automatic benchmarking of SMPI code", "options.html#options_smpi_bench", null ],
        [ "smpi/bw-factor: Bandwidth factors", "options.html#options_model_smpi_bw_factor", null ],
        [ "smpi/display-timing: Reporting simulation time", "options.html#options_smpi_timing", null ],
        [ "smpi/lat-factor: Latency factors", "options.html#options_model_smpi_lat_factor", null ],
        [ "smpi/privatize-global-variables: Automatic privatization of global variables", "options.html#options_smpi_global", null ],
        [ "Simulating MPI detached send", "options.html#options_model_smpi_detached", null ],
        [ "Simulating MPI collective algorithms", "options.html#options_model_smpi_collectives", null ],
        [ "smpi/iprobe: Inject constant times for calls to MPI_Iprobe", "options.html#options_model_smpi_iprobe", null ],
        [ "smpi/ois: Inject constant times for asynchronous send operations", "options.html#options_model_smpi_ois", null ],
        [ "smpi/os: Inject constant times for send operations", "options.html#options_model_smpi_os", null ],
        [ "smpi/or: Inject constant times for receive operations", "options.html#options_model_smpi_or", null ],
        [ "smpi/test: Inject constant times for calls to MPI_Test", "options.html#options_model_smpi_test", null ],
        [ "smpi/use-shared-malloc: Factorize malloc()s", "options.html#options_model_smpi_use_shared_malloc", null ],
        [ "smpi/wtime: Inject constant times for calls to MPI_Wtime", "options.html#options_model_smpi_wtime", null ]
      ] ],
      [ "Configuring other aspects of SimGrid", "options.html#options_generic", [
        [ "Cleanup before termination", "options.html#options_generic_clean_atexit", null ],
        [ "XML file inclusion path", "options.html#options_generic_path", null ],
        [ "Behavior on Ctrl-C", "options.html#options_generic_exit", null ],
        [ "Truncate local path from exception backtrace", "options.html#options_exception_cutpath", null ]
      ] ],
      [ "Logging Configuration", "options.html#options_log", null ],
      [ "Performance optimizations", "options.html#options_perf", [
        [ "Context factory", "options.html#options_perf_context", null ],
        [ "Disabling stack guard pages", "options.html#options_perf_guard_size", null ]
      ] ],
      [ "Index of all existing configuration options", "options.html#options_index", [
        [ "Index of SMPI collective algorithms options", "options.html#options_index_smpi_coll", null ]
      ] ]
    ] ],
    [ "Deploy the simulation", "deployment.html", [
      [ "Overview", "deployment.html#dep_over", null ]
    ] ],
    [ "SimGrid Examples", "examples.html", [
      [ "Using MSG", "examples.html#using_msg", [
        [ "Basic examples and features", "examples.html#MSG_ex_basics", [
          [ "Basic Master/Workers", "examples.html#MSG_ex_master_worker", [
            [ "Table of contents:", "examples.html#MSG_ex_mw_TOC", null ],
            [ "Preliminary declarations", "examples.html#MSG_ext_mw_preliminary", null ],
            [ "Master code", "examples.html#MSG_ext_mw_master", null ],
            [ "Worker code", "examples.html#MSG_ext_mw_worker", null ],
            [ "Main function", "examples.html#MSG_ext_mw_core", null ],
            [ "Example of a platform file", "examples.html#MSG_ext_mw_platform", null ],
            [ "Example of a deployment file", "examples.html#MSG_ext_mw_application", null ]
          ] ],
          [ "Asynchronous communications", "examples.html#MSG_ex_asynchronous_communications", [
            [ "Code of the application", "examples.html#MSG_ext_async_code", null ],
            [ "Preliminary declarations", "examples.html#MSG_ext_async_preliminary", null ],
            [ "Sender function", "examples.html#MSG_ext_async_Sender", null ],
            [ "Receiver function", "examples.html#MSG_ext_async_Receiver", null ],
            [ "Main function", "examples.html#MSG_ext_async_Main", null ],
            [ "Waitall function", "examples.html#MSG_ext_async_fct_Waitall", null ],
            [ "Waitany function", "examples.html#MSG_ext_async_fct_Waitany", null ]
          ] ]
        ] ]
      ] ]
    ] ],
    [ "Advanced Topics", "advanced.html", "advanced" ],
    [ "Frequently Asked Questions", "FAQ.html", [
      [ "I'm new to SimGrid. I have some questions. Where should I start?", "FAQ.html#faq_simgrid", [
        [ "What is the difference between MSG and SimDag? Do they serve the same purpose?", "FAQ.html#faq_interfaces", null ],
        [ "Visualizing and analyzing the results", "FAQ.html#faq_visualization", null ],
        [ "Argh! Do I really have to code in C?", "FAQ.html#faq_C", null ]
      ] ],
      [ "Feature related questions", "FAQ.html#faq_howto", [
        [ "\"Could you please add (your favorite feature here) to SimGrid?\"", "FAQ.html#faq_MIA", null ],
        [ "MSG features", "FAQ.html#faq_MIA_MSG", [
          [ "I want some more complex MSG examples!", "FAQ.html#faq_MIA_examples", null ],
          [ "Missing in action: MSG Task duplication/replication", "FAQ.html#faq_MIA_taskdup", null ],
          [ "I want to do asynchronous communications in MSG", "FAQ.html#faq_MIA_asynchronous", null ],
          [ "I need to synchronize my MSG processes", "FAQ.html#faq_MIA_thread_synchronization", null ],
          [ "Where is the get_host_load function hidden in MSG?", "FAQ.html#faq_MIA_host_load", null ],
          [ "How can I get the *real* communication time?", "FAQ.html#faq_MIA_communication_time", null ]
        ] ],
        [ "SimDag related questions", "FAQ.html#faq_MIA_SimDag", [
          [ "Implementing communication delays between tasks.", "FAQ.html#faq_SG_comm", null ],
          [ "How to implement a distributed dynamic scheduler of DAGs.", "FAQ.html#faq_SG_DAG", null ]
        ] ],
        [ "Generic features", "FAQ.html#faq_MIA_generic", [
          [ "Is there a native support for batch schedulers in SimGrid?", "FAQ.html#faq_MIA_batch_scheduler", null ],
          [ "I need a checkpointing thing", "FAQ.html#faq_MIA_checkpointing", null ]
        ] ],
        [ "Platform building and Dynamic resources", "FAQ.html#faq_platform", [
          [ "Where can I find SimGrid platform files?", "FAQ.html#faq_platform_example", null ],
          [ "How can I automatically map an existing platform?", "FAQ.html#faq_platform_alnem", null ],
          [ "Generating synthetic but realistic platforms", "FAQ.html#faq_platform_synthetic", null ],
          [ "Using random variable for the resource power or availability", "FAQ.html#faq_platform_random", null ]
        ] ]
      ] ],
      [ "Troubleshooting", "FAQ.html#faq_troubleshooting", [
        [ "The feature X stopped to work after my last update", "FAQ.html#faq_trouble_changelog", null ],
        [ "SimGrid compilation and installation problems", "FAQ.html#faq_trouble_lib_compil", [
          [ "cmake fails!", "FAQ.html#faq_trouble_lib_config", null ],
          [ "Dude! \"ctest\" fails on my machine!", "FAQ.html#faq_trouble_distcheck", null ]
        ] ],
        [ "User code compilation problems", "FAQ.html#faq_trouble_compil", [
          [ "\"gcc: _simgrid_this_log_category_does_not_exist__??? undeclared (first use in this function)\"", "FAQ.html#faq_trouble_err_logcat", null ],
          [ "\"gcc: undefined reference to pthread_key_create\"", "FAQ.html#faq_trouble_pthreadstatic", null ]
        ] ],
        [ "Runtime error messages", "FAQ.html#faq_trouble_errors", [
          [ "\"surf_parse_lex: Assertion `next limit' failed.\"", "FAQ.html#faq_flexml_limit", null ],
          [ "I'm told that my XML files are too old.", "FAQ.html#faq_trouble_errors_big_fat_warning", null ]
        ] ],
        [ "Debugging SMPI applications", "FAQ.html#faq_trouble_debug", null ],
        [ "Valgrind-related and other debugger issues", "FAQ.html#faq_trouble_valgrind", [
          [ "longjmp madness in valgrind", "FAQ.html#faq_trouble_vg_longjmp", null ],
          [ "Valgrind spits tons of errors about backtraces!", "FAQ.html#faq_trouble_vg_libc", null ],
          [ "Truncated backtraces", "FAQ.html#faq_trouble_backtraces", null ]
        ] ],
        [ "There is a deadlock in my code!!!", "FAQ.html#faq_deadlock", null ],
        [ "I get weird timings when I play with the latencies.", "FAQ.html#faq_surf_network_latency", null ],
        [ "So I've found a bug in SimGrid. How to report it?", "FAQ.html#faq_bugrepport", null ]
      ] ]
    ] ],
    [ "SimGrid Developer Guide", "inside.html", "inside" ],
    [ "Giving back to SimGrid", "contributing.html", [
      [ "Spread the word", "contributing.html#contributing_spread", null ],
      [ "Reporting (and fixing) any issue you find", "contributing.html#contributing_bugs", null ],
      [ "Contributing features and associated tools", "contributing.html#contributing_contrib", null ]
    ] ]
];